package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF097 extends MwfRequest<MWF097, MWF097Response> {

    @Parameter(name = "AVZamOdData")
    MWF097 aVZamOdData(java.util.Date aVZamOdData);
    @Parameter(name = "CIF")
    MWF097 cif(String cif);
    @Parameter(name = "CisloBU")
    MWF097 cisloBU(String cisloBU);
    @Parameter(name = "CisloOM")
    MWF097 cisloOM(String cisloOM);
    @Parameter(name = "CisloPasu")
    MWF097 cisloPasu(String cisloPasu);
    @Parameter(name = "DatumPodpisu")
    MWF097 datumPodpisu(java.util.Date datumPodpisu);
    @Parameter(name = "DrzitelCIF")
    MWF097 drzitelCIF(String drzitelCIF);
    @Parameter(name = "DrzitelDatumNarozeni")
    MWF097 drzitelDatumNarozeni(java.util.Date drzitelDatumNarozeni);
    @Parameter(name = "DrzitelHeslo")
    MWF097 drzitelHeslo(String drzitelHeslo);
    @Parameter(name = "DrzitelPracPomer")
    MWF097 drzitelPracPomer(String drzitelPracPomer);
    @Parameter(name = "DrzitelRC")
    MWF097 drzitelRC(String drzitelRC);
    @Parameter(name = "DrzitelTelefon")
    MWF097 drzitelTelefon(String drzitelTelefon);
    @Parameter(name = "DrzitelTelefonMobil")
    MWF097 drzitelTelefonMobil(String drzitelTelefonMobil);
    @Parameter(name = "DrzitelTelefonMobilPredcisli")
    MWF097 drzitelTelefonMobilPredcisli(String drzitelTelefonMobilPredcisli);
    @Parameter(name = "DrzitelTelefonPredcisli")
    MWF097 drzitelTelefonPredcisli(String drzitelTelefonPredcisli);
    @Parameter(name = "DrzitelTelefonZamestnani")
    MWF097 drzitelTelefonZamestnani(String drzitelTelefonZamestnani);
    @Parameter(name = "DrzitelTelefonZamestnaniPredcisli")
    MWF097 drzitelTelefonZamestnaniPredcisli(String drzitelTelefonZamestnaniPredcisli);
    @Parameter(name = "EvidencniCislo")
    MWF097 evidencniCislo(String evidencniCislo);
    @Parameter(name = "Heslo")
    MWF097 heslo(String heslo);
    @Parameter(name = "KlientBydliNaAdreseOd")
    MWF097 klientBydliNaAdreseOd(java.util.Date klientBydliNaAdreseOd);
    @Parameter(name = "KlientCisloDruhehoDokladu")
    MWF097 klientCisloDruhehoDokladu(String klientCisloDruhehoDokladu);
    @Parameter(name = "KlientCisloOP")
    MWF097 klientCisloOP(String klientCisloOP);
    @Parameter(name = "KlientCisloPrvnihoDokladu")
    MWF097 klientCisloPrvnihoDokladu(String klientCisloPrvnihoDokladu);
    @Parameter(name = "KlientDruhBydleni")
    MWF097 klientDruhBydleni(String klientDruhBydleni);
    @Parameter(name = "KlientDruhDruhehoDokladu")
    MWF097 klientDruhDruhehoDokladu(String klientDruhDruhehoDokladu);
    @Parameter(name = "KlientDruhPrvnihoDokladu")
    MWF097 klientDruhPrvnihoDokladu(String klientDruhPrvnihoDokladu);
    @Parameter(name = "KlientEmail")
    MWF097 klientEmail(String klientEmail);
    @Parameter(name = "KlientJmeno")
    MWF097 klientJmeno(String klientJmeno);
    @Parameter(name = "KlientPlatnostOP")
    MWF097 klientPlatnostOP(java.util.Date klientPlatnostOP);
    @Parameter(name = "KlientPracPomer")
    MWF097 klientPracPomer(String klientPracPomer);
    @Parameter(name = "KlientPredlozeneDoklady")
    MWF097 klientPredlozeneDoklady(String klientPredlozeneDoklady);
    @Parameter(name = "KlientPrijmeni")
    MWF097 klientPrijmeni(String klientPrijmeni);
    @Parameter(name = "KlientRC")
    MWF097 klientRC(String klientRC);
    @Parameter(name = "KlientStav")
    MWF097 klientStav(String klientStav);
    @Parameter(name = "KlientTrCisloOrientacni")
    MWF097 klientTrCisloOrientacni(String klientTrCisloOrientacni);
    @Parameter(name = "KlientTrCisloPopisne")
    MWF097 klientTrCisloPopisne(String klientTrCisloPopisne);
    @Parameter(name = "KlientTrMobil")
    MWF097 klientTrMobil(String klientTrMobil);
    @Parameter(name = "KlientTrMobilPredvolba")
    MWF097 klientTrMobilPredvolba(String klientTrMobilPredvolba);
    @Parameter(name = "KlientTrObec")
    MWF097 klientTrObec(String klientTrObec);
    @Parameter(name = "KlientTrPSC")
    MWF097 klientTrPSC(String klientTrPSC);
    @Parameter(name = "KlientTrPosta")
    MWF097 klientTrPosta(String klientTrPosta);
    @Parameter(name = "KlientTrTelDomu")
    MWF097 klientTrTelDomu(String klientTrTelDomu);
    @Parameter(name = "KlientTrTelDomuPredvolba")
    MWF097 klientTrTelDomuPredvolba(String klientTrTelDomuPredvolba);
    @Parameter(name = "KlientTrUlice")
    MWF097 klientTrUlice(String klientTrUlice);
    @Parameter(name = "KlientVzdelani")
    MWF097 klientVzdelani(String klientVzdelani);
    @Parameter(name = "KlientZamCisloOrientacni")
    MWF097 klientZamCisloOrientacni(String klientZamCisloOrientacni);
    @Parameter(name = "KlientZamCisloPopisne")
    MWF097 klientZamCisloPopisne(String klientZamCisloPopisne);
    @Parameter(name = "KlientZamCistyPrijem")
    MWF097 klientZamCistyPrijem(Double klientZamCistyPrijem);
    @Parameter(name = "KlientZamICO")
    MWF097 klientZamICO(String klientZamICO);
    @Parameter(name = "KlientZamMobil")
    MWF097 klientZamMobil(String klientZamMobil);
    @Parameter(name = "KlientZamMobilPredvolba")
    MWF097 klientZamMobilPredvolba(String klientZamMobilPredvolba);
    @Parameter(name = "KlientZamNazev")
    MWF097 klientZamNazev(String klientZamNazev);
    @Parameter(name = "KlientZamObec")
    MWF097 klientZamObec(String klientZamObec);
    @Parameter(name = "KlientZamOdRoku")
    MWF097 klientZamOdRoku(java.util.Date klientZamOdRoku);
    @Parameter(name = "KlientZamPSC")
    MWF097 klientZamPSC(String klientZamPSC);
    @Parameter(name = "KlientZamPovolani")
    MWF097 klientZamPovolani(String klientZamPovolani);
    @Parameter(name = "KlientZamPrijemDom")
    MWF097 klientZamPrijemDom(Double klientZamPrijemDom);
    @Parameter(name = "KlientZamSplatky")
    MWF097 klientZamSplatky(Double klientZamSplatky);
    @Parameter(name = "KlientZamTel")
    MWF097 klientZamTel(String klientZamTel);
    @Parameter(name = "KlientZamTelPredvolba")
    MWF097 klientZamTelPredvolba(String klientZamTelPredvolba);
    @Parameter(name = "KlientZamUlice")
    MWF097 klientZamUlice(String klientZamUlice);
    @Parameter(name = "KlientZamVyzOsoby")
    MWF097 klientZamVyzOsoby(String klientZamVyzOsoby);
    @Parameter(name = "KlientZamZakladDane")
    MWF097 klientZamZakladDane(Double klientZamZakladDane);
    @Parameter(name = "LimitBankomat")
    MWF097 limitBankomat(Double limitBankomat);
    @Parameter(name = "LimitObchodnik")
    MWF097 limitObchodnik(Double limitObchodnik);
    @Parameter(name = "MSISDN")
    MWF097 msisdn(String msisdn);
    @Parameter(name = "MaxPocetTransakciDen")
    MWF097 maxPocetTransakciDen(Long maxPocetTransakciDen);
    @Parameter(name = "NahraditKartuCislo")
    MWF097 nahraditKartuCislo(String nahraditKartuCislo);
    @Parameter(name = "PCTTabulka")
    MWF097 pCTTabulka(String pCTTabulka);
    @Parameter(name = "PKEmbossovana")
    MWF097 pKEmbossovana(String pKEmbossovana);
    @Parameter(name = "PojisteniVydajuPozadovano")
    MWF097 pojisteniVydajuPozadovano(String pojisteniVydajuPozadovano);
    @Parameter(name = "PoleDS")
    MWF097 poleDS(String poleDS);
    @Parameter(name = "PrimarniUrednik")
    MWF097 primarniUrednik(String primarniUrednik);
    @Parameter(name = "StatEU")
    MWF097 statEU(String statEU);
    @Parameter(name = "StatniPrislusnost")
    MWF097 statniPrislusnost(String statniPrislusnost);
    @Parameter(name = "TechnologieKarty")
    MWF097 technologieKarty(String technologieKarty);
    @Parameter(name = "TypKarty")
    MWF097 typKarty(String typKarty);
    @Parameter(name = "VytlaceneJmeno")
    MWF097 vytlaceneJmeno(String vytlaceneJmeno);
    @Parameter(name = "VytlaceneJmeno2")
    MWF097 vytlaceneJmeno2(String vytlaceneJmeno2);
    @Parameter(name = "ZAKartaCO")
    MWF097 zAKartaCO(String zAKartaCO);
    @Parameter(name = "ZAKartaCP")
    MWF097 zAKartaCP(String zAKartaCP);
    @Parameter(name = "ZAKartaObec")
    MWF097 zAKartaObec(String zAKartaObec);
    @Parameter(name = "ZAKartaPSC")
    MWF097 zAKartaPSC(String zAKartaPSC);
    @Parameter(name = "ZAKartaPosta")
    MWF097 zAKartaPosta(String zAKartaPosta);
    @Parameter(name = "ZAKartaTypAdresy")
    MWF097 zAKartaTypAdresy(String zAKartaTypAdresy);
    @Parameter(name = "ZAKartaUlice")
    MWF097 zAKartaUlice(String zAKartaUlice);
    @Parameter(name = "ZAPINCO")
    MWF097 zapinco(String zapinco);
    @Parameter(name = "ZAPINCP")
    MWF097 zapincp(String zapincp);
    @Parameter(name = "ZAPINObec")
    MWF097 zAPINObec(String zAPINObec);
    @Parameter(name = "ZAPINPSC")
    MWF097 zapinpsc(String zapinpsc);
    @Parameter(name = "ZAPINPosta")
    MWF097 zAPINPosta(String zAPINPosta);
    @Parameter(name = "ZAPINTypAdresy")
    MWF097 zAPINTypAdresy(String zAPINTypAdresy);
    @Parameter(name = "ZAPINUlice")
    MWF097 zAPINUlice(String zAPINUlice);
    @Parameter(name = "ZalozeniIB")
    MWF097 zalozeniIB(Long zalozeniIB);
    @Parameter(name = "ZpusobDistribucePIN")
    MWF097 zpusobDistribucePIN(String zpusobDistribucePIN);
}
